Package org.apache.solr.client.solrj.impl

## Class SolrClientBuilder<B extends SolrClientBuilder<B>>

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrClientBuilder<B>

Direct Known Subclasses:
  `CloudLegacySolrClient.Builder`, `ConcurrentUpdateSolrClient.Builder`, `HttpSolrClient.Builder`, `LBHttpSolrClient.Builder`

    @Deprecated(since="9.0")
    public abstract class SolrClientBuilder<B extends SolrClientBuilder<B>>
    extends Object

Deprecated.
Please look into using Solr's new Http2 clients

### Field Summary

Fields
`protected Long` `connectionTimeoutMillis` Deprecated.
`protected boolean` `followRedirects` Deprecated.
`protected org.apache.http.client.HttpClient` `httpClient` Deprecated.
`protected RequestWriter` `requestWriter` Deprecated.
`protected ResponseParser` `responseParser` Deprecated.
`protected Long` `socketTimeoutMillis` Deprecated.
`protected int` `timeToLiveSeconds` Deprecated.
`protected Set<String>` `urlParamNames` Deprecated.
`protected boolean` `useMultiPartPost` Deprecated.

### Constructor Summary

Constructors
`SolrClientBuilder()` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`B` `allowMultiPartPost​(Boolean useMultiPartPost)` Deprecated. Enables or disables splitting POST requests into pieces.
`abstract B` `getThis()` Deprecated. The solution for the unchecked cast warning.
`B` `withConnectionTimeout​(int connectionTimeoutMillis)` Deprecated. Please use `withConnectionTimeout(long, TimeUnit)`
`B` `withConnectionTimeout​(long connectionTimeout, TimeUnit unit)` Deprecated. Tells `HttpSolrClient.Builder` that created clients should obey the following timeout when connecting to Solr servers.
`B` `withFollowRedirects​(boolean followRedirects)` Deprecated.
`B` `withHttpClient​(org.apache.http.client.HttpClient httpClient)` Deprecated. Provides a `HttpClient` for the builder to use when creating clients.
`B` `withRequestWriter​(RequestWriter requestWriter)` Deprecated. Provides a `RequestWriter` for created clients to use when handing requests.
`B` `withResponseParser​(ResponseParser responseParser)` Deprecated. Provides a `ResponseParser` for created clients to use when handling requests.
`B` `withSocketTimeout​(int socketTimeoutMillis)` Deprecated.
`B` `withSocketTimeout​(long socketTimeout, TimeUnit unit)` Deprecated. Tells `HttpSolrClient.Builder` that created clients should set the following read timeout on all sockets.
`B` `withTheseParamNamesInTheUrl​(Set<String> queryParams)` Deprecated. Provides a set of keys which the created client will send as a part of the query string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### timeToLiveSeconds

    protected int timeToLiveSeconds

Deprecated.

#### httpClient

    protected org.apache.http.client.HttpClient httpClient

Deprecated.

#### responseParser

    protected ResponseParser responseParser

Deprecated.

#### requestWriter

    protected RequestWriter requestWriter

Deprecated.

#### useMultiPartPost

    protected boolean useMultiPartPost

Deprecated.

#### connectionTimeoutMillis

    protected Long connectionTimeoutMillis

Deprecated.

#### socketTimeoutMillis

    protected Long socketTimeoutMillis

Deprecated.

#### followRedirects

    protected boolean followRedirects

Deprecated.

#### urlParamNames

    protected Set<String> urlParamNames

Deprecated.

### Constructor Detail

#### SolrClientBuilder

    public SolrClientBuilder()

Deprecated.

### Method Detail

#### getThis

    public abstract B getThis()

Deprecated.
The solution for the unchecked cast warning.

#### withHttpClient

    public B withHttpClient​(org.apache.http.client.HttpClient httpClient)

Deprecated.
Provides a `HttpClient` for the builder to use when creating clients.

#### withResponseParser

    public B withResponseParser​(ResponseParser responseParser)

Deprecated.
Provides a `ResponseParser` for created clients to use when handling requests.

#### withRequestWriter

    public B withRequestWriter​(RequestWriter requestWriter)

Deprecated.
Provides a `RequestWriter` for created clients to use when handing requests.

#### allowMultiPartPost

    public B allowMultiPartPost​(Boolean useMultiPartPost)

Deprecated.
Enables or disables splitting POST requests into pieces.

#### withTheseParamNamesInTheUrl

    public B withTheseParamNamesInTheUrl​(Set<String> queryParams)

Deprecated.
Provides a set of keys which the created client will send as a part of the query string.

Parameters:
  `queryParams` - set of param keys to only send via the query string Note that the param will be sent as a query string if the key is part of this Set or the SolrRequest's query params.

#### withFollowRedirects

    public B withFollowRedirects​(boolean followRedirects)

Deprecated.

#### withConnectionTimeout

    @Deprecated(since="9.2")
    public B withConnectionTimeout​(int connectionTimeoutMillis)

Deprecated.
Please use `withConnectionTimeout(long, TimeUnit)`
Tells `HttpSolrClient.Builder` that created clients should obey the following timeout when connecting to Solr servers.

For valid values see `RequestConfig.getConnectTimeout()`

#### withConnectionTimeout

    public B withConnectionTimeout​(long connectionTimeout,
                                   TimeUnit unit)

Deprecated.
Tells `HttpSolrClient.Builder` that created clients should obey the following timeout when connecting to Solr servers.

For valid values see `RequestConfig.getConnectTimeout()`

#### withSocketTimeout

    @Deprecated(since="9.2")
    public B withSocketTimeout​(int socketTimeoutMillis)

Deprecated.
Tells `HttpSolrClient.Builder` that created clients should set the following read timeout on all sockets.

For valid values see `RequestConfig.getSocketTimeout()`

* @deprecated Please use `withSocketTimeout(long, TimeUnit)`

#### withSocketTimeout

    public B withSocketTimeout​(long socketTimeout,
                               TimeUnit unit)

Deprecated.
Tells `HttpSolrClient.Builder` that created clients should set the following read timeout on all sockets.

For valid values see `RequestConfig.getSocketTimeout()`